First played in 1999, the Kenya National Sevens Circuit is an annual series of rugby sevens tournaments run by the Kenya Rugby Union in conjunction with host clubs featuring teams from across the country. Teams compete for the National Sevens Circuit title by accumulating points based on their finishing position in each tournament. The season’s circuit currently comprises 6 tournaments in 6 cities and towns across Kenya.

After a two-year hiatus due to the COVID-19 pandemic, the National Sevens Circuit resumed in May 2022.

2019 National Sevens Circuit Dates

20/21 July – Kakamega Sevens, Bull Ring Kakamega

27/28 July – Kabeberi Sevens, RFUEA Ground, Nairobi

3/4 August – BREAK

10/11 August – Dala Sevens, Mamboleo Showground, Kisumu

17/18 August – Prinsloo Sevens, Nakuru Athletic Club, Nakuru

24/25 August – BREAK

31 August/1 September – Christie Sevens, RFUEA Ground, Nairobi

7/8 September – Driftwood Sevens, Mombasa Sports Club, Mombasa + Christie SevensDala SevensDriftwood SevensKabeberi SevensPrinsloo Sevens HostsKenya Harlequin F.C.Kisumu RFCMombasa RFCMwamba RFCNakuru RFC VenueRFUEA GroundNairobiKisumu PolytechnicKisumuMombasa Sports ClubMombasaRFUEA GroundNairobiNakuru Athletic ClubNakuru Notes The tournament is named after former Kenya Harlequin Chairman, Alex Christie (also Vice President of Wasps FC in London and President of the RFUEA) and is regarded as the longest running sevens tournament in Kenya, having been played every year since 1962. Kisumu is regarded by many Kenyans as home because many people in Nairobi either left Kisumu to find work in the capital or are descended from people who did. Dala means home in the Luo language that is spoken on the eastern shores of Lake Victoria. The Driftwood Beach Club, Malindi, donated the trophy (appropriately, a piece of driftwood shaped by the winds, waves and currents of the Indian Ocean) and asked that their sevens tournament from the early 1970s be revived. Named for of former Mwamba player George Mwangi Kabeberi who died in 1986. Named after Peter Walter Prinsloo, a rugby player from South Africa who - after moving to Nakuru - reignited interest in the game in the Rift Valley during the 1980s. 2009 21–22 November 14–15 November 12–13 December 5–6 December 28–29 November 2010 14–15 November 4–5 September 25–26 September 18–19 September 27–28 August 2011 10–11 September 27–28 August 1–2 October 24–25 September 3–4 September 2012 11–12 August 18–19 August 15–16 September 8–9 September 1–2 September 2013 7–8 September 3–4 August 24–25 August 10–11 August 31 August–1 September 2014 6–7 September 9–10 August 23–24 August 2–3 August 30–31 August 2015 1–2 August 8–9 August 22–23 August 5–6 September 29–30 August

History of seven-a-side rugby in East Africa

RAF Sevens

+RAF Sevens Winners Year Winners 1937 Nondescripts RFC 1938 Nondescripts RFC 1939 Nondescripts RFC 1940-46 No tournaments during World War II 1947 Nondescripts RFC 1948 Nondescripts RFC 1949 Ruiru RFC (Ruiru) 1950 Nondescripts RFC 1951 Nondescripts RFC 1952 Mombasa RFC 1953 Mombasa RFC 1954 Nondescripts RFC 1955 Londiani RFC (Londiani) 1956 Kenya Harlequin F.C. 1957 Kenya Police RFC 1958 Nakuru RFC 1959 1st Battalion, The Cameronians 1960 Impala RFC 1961 1962 1963 The first seven-a-side competition in Kenya was the 1937 RAF Sevens. The cup for this annual competition was presented by 223 Squadron, Royal Air Force and the competition was open to all clubs in East Africa (i.e. within Kenya Colony, Uganda Protectorate and Tanganyika Territory) and any other combination of players who wished to enter a team. The tournament was usually played over the August Bank Holiday weekend and was a very popular addition to the Kenya rugby and Nairobi social calendars.

Incidentally 223 Squadron (The squadron was based at RAF Eastleigh - now Moi Air Base - Nairobi) were the first RAF squadron to field a rugby team in East Africa, though they were far from the first military team as Royal Navy vessels had been playing against the colonists since, at the latest, 1922. The "Royal Air Force (Kenya) RFC" first fielded a team in 1937 captained by a Corporal Clarke with Pilot Officer Roden as vice-captain and the team owed a lot to the behind-the-scenes work of Squadron Leader Pitcairn-Hill. In about 1955 the team changed its name to "United Services Eastleigh RFC" when captained by Flight Lieutenant Frielich with Corporal Freeman as vice-captain, with the administrative assistance of Squadron Leader Warren and Flight Officer Goodwin. Players of note during the club's early years include a three-quarter called Mickelthwaite, a fly-half called Cahou and another three-quarter, Tony Hale, all three of whom were on the cusp of selection for Kenya and/or East Africa.

Nakuru Sevens

+Nakuru Sevens Winners Year Winners 1949 not known 1950 not known 1951 Nakuru RFC 1952 Nondescripts RFC 1953 Kenya Harlequin F.C. 1954 not known 1955 Old Cambrians (Impala) RFC 1956 Nyeri Police (Nyeri) 1957 Impala RFC 1958 Nakuru RFC 1959 Nakuru RFC 1960 Impala RFC 1961 Kenya Harlequin F.C. 1962 1963 The first Nakuru sevens were held in approximately 1949, usually being held fairly early in the season, attracting entrants from West Kenya and Central Province. The original cup was lost within a few years of the start of the tournament so early winners are uncertain. A replacement cup was kindly presented by Mr. HO Salt and was known as the Salt Cup.

Nile Sevens +Nile Sevens) Winners Year Winners 1950 Uganda Police 1951 Mengo Commercials 1952 Old Cambrians (Impala) RFC 1953 Jinja Stallions 1954 Jinja 'A' 1955 Uganda Police 1956 Kampala RFC 1957 Kenya Police RFC 1958 Kenya Police RFC 1959 Kampala RFC 1960 1961

The first Nile Sevens were held in 1950 and were held annually for at least the next ten years. The winner is presented with a mounted silver rugby ball known as the Krell Trophy which was presented in 1951 for this purpose by Mr. Cecil Krell who had done valuable work for rugby union in East Africa in both Dar es Salaam and Mombasa.

Teams for the Nile Sevens could be entered by clubs or by any combination of players, hence the unfamiliar team names for some of the winners.

Jones Cup (Sevens)

+Jones Cup (Sevens) Winners Year Winners 1952 Kitale RFC 1953 Combined Eldoret RFC & Kitale RFC team The Jones Cup was named after MJU Stompie Jones, a former Eldoret player whose representative playing career spanned an astonishing 20 years. He played for Kenya against the touring Combined South African Universities team in 1930 and against the University of Stellenbosch in 1935 and finally for East Africa against the University of Cape Town in 1949-50.

Ironically, having been named for someone who had demonstrated unparalleled longevity, the Jones Cup was to have a remarkably short tenure as a seven-a-side trophy. In 1954, after just two years, it was redesignated as the trophy for the winner of the West Kenya zone of the Enterprise Cup.

Other sevens tournaments in Kenya

International Competitions Safari Sevens, hosted by the Kenya Rugby Football Union. Club Competitions Kilunda Sevens, hosted by Kilunda RFC, Machakos Golf Club, Machakos.

References